# Get personal dashboard GET https://app.unleash-instance.example.com/api/admin/personal-dashboard Return all projects and flags that are relevant to the user. Reference: https://docs.getunleash.io/api/get-personal-dashboard ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get personal dashboard version: endpoint_unstable.getPersonalDashboard paths: /api/admin/personal-dashboard: get: operationId: get-personal-dashboard summary: Get personal dashboard description: Return all projects and flags that are relevant to the user. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: personalDashboardSchema content: application/json: schema: $ref: '#/components/schemas/personalDashboardSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: PersonalDashboardSchemaAdminsItems: type: object properties: id: type: integer description: The user ID. name: type: string description: The user's name. username: type: string description: The user's username. imageUrl: type: string email: type: string required: - id PersonalDashboardSchemaProjectOwnersItemsOwnerType: type: string enum: - value: user PersonalDashboardSchemaProjectOwnersItems: type: object properties: ownerType: $ref: >- #/components/schemas/PersonalDashboardSchemaProjectOwnersItemsOwnerType description: The type of the owner; will always be `user`. name: type: string description: >- The name displayed for the user. Can be the user's name, username, or email, depending on what they have provided. imageUrl: type: - string - 'null' description: The URL of the user's profile image. email: type: - string - 'null' description: The user's email address. required: - ownerType - name PersonalDashboardSchemaProjectsItems: type: object properties: id: type: string description: The id of the project name: type: string description: The name of the project health: type: integer description: Use `technicalDebt` instead. technicalDebt: type: integer description: >- An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 memberCount: type: integer description: The number of members this project has featureCount: type: integer description: The number of features this project has required: - id - name - health - technicalDebt - memberCount - featureCount PersonalDashboardSchemaFlagsItems: type: object properties: name: type: string description: The name of the flag project: type: string description: The id of the feature project type: type: string description: The type of the feature flag required: - name - project - type personalDashboardSchema: type: object properties: admins: type: array items: $ref: '#/components/schemas/PersonalDashboardSchemaAdminsItems' description: Users with the admin role in Unleash. projectOwners: type: array items: $ref: '#/components/schemas/PersonalDashboardSchemaProjectOwnersItems' description: >- Users with the project owner role in Unleash. Only contains owners of projects that are visible to the user. projects: type: array items: $ref: '#/components/schemas/PersonalDashboardSchemaProjectsItems' description: >- A list of projects that a user participates in with any role e.g. member or owner or any custom role flags: type: array items: $ref: '#/components/schemas/PersonalDashboardSchemaFlagsItems' description: A list of flags a user created or favorited required: - admins - projectOwners - projects - flags ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/personal-dashboard" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/personal-dashboard'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/personal-dashboard" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/personal-dashboard") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/personal-dashboard") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/personal-dashboard', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/personal-dashboard"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/personal-dashboard")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```